package com.ruoyi.system.mapper.task;

import com.ruoyi.system.domain.task.TkRoundSubtask;
import com.ruoyi.system.domain.task.TkRoundSubtaskExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface TkRoundSubtaskMapper {
    long countByExample(TkRoundSubtaskExample example);

    int deleteByExample(TkRoundSubtaskExample example);

    int deleteByPrimaryKey(String id);

    int insert(TkRoundSubtask record);

    int insertSelective(TkRoundSubtask record);

    List<TkRoundSubtask> selectByExampleWithBLOBs(TkRoundSubtaskExample example);

    List<TkRoundSubtask> selectByExample(TkRoundSubtaskExample example);

    TkRoundSubtask selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") TkRoundSubtask record, @Param("example") TkRoundSubtaskExample example);

    int updateByExampleWithBLOBs(@Param("record") TkRoundSubtask record, @Param("example") TkRoundSubtaskExample example);

    int updateByExample(@Param("record") TkRoundSubtask record, @Param("example") TkRoundSubtaskExample example);

    int updateByPrimaryKeySelective(TkRoundSubtask record);

    int updateByPrimaryKeyWithBLOBs(TkRoundSubtask record);

    int updateByPrimaryKey(TkRoundSubtask record);
}